<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>通知管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
        function openDialogre(title,url,width,height,target){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url ,
				skin:"three-btns",
                btn: ['通过','驳回','关闭'],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(1) ){
                        top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn2:function(index,layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(2) ){
                        top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                    return false;
                },
                btn3: function(index){
            }
            });

        }
        function openDialogres(title,url,width,height,target) {
            if (navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)) {//如果是移动端，就使用自适应大小弹窗
                width = 'auto';
                height = 'auto';
            } else {//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url,
				skin:"two-btns",
                btn: ['重新申请', '结束流程'],
                btn1: function (index, layero) {
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if (target) {
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    } else {
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target", top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if (iframeWin.contentWindow.doSubmit(3)) {
                        top.layer.close(index);//关闭对话框。
                        setTimeout(function () {
                            top.layer.close(index)
                        }, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn2: function (index, layero) {
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if (target) {
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    } else {
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target", top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if (iframeWin.contentWindow.doSubmit(4)) {
                        top.layer.close(index);//关闭对话框。
                        setTimeout(function () {
                            top.layer.close(index)
                        }, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                    return false;
                },
            });
        }
	</script>
	<style>
		body{
			background-color:transparent;
			filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
			color:#ffffff;
			background-color:rgba(255,255,255,0);
			height:100%;
		}
	</style>
</head>
<body>
<div class="wrapper wrapper-content">
	<sys:message content="${message}"/>
	<div class="layui-row">
		<div class="full-width fl">
			<div class="contentShadow layui-row" id="queryDiv">
				<form:form id="searchForm" modelAttribute="workProjectNotify" action="${ctx}/workprojectnotify/workProjectNotify/listShow" method="post" class="form-inline">
					<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
					<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
					<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->

					<div class="commonQuery">
						<div class="layui-item query athird">
							<label class="layui-form-label">内容：</label>
							<div class="layui-input-block">
								<form:input path="content" htmlEscape="false" maxlength="255"  class=" form-control layui-input"/>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">类型：</label>
							<div class="layui-input-block">
								<form:select id="type" path="type" class="form-control simple-select">
									<form:option value="" label=""/>
									<form:options items="${fns:getDictList('project_notify_type')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
								</form:select>
							</div>
						</div>
						<div class="layui-item athird">
							<div class="input-group">
								<button style="margin-right: 0px;" id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
								<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
							</div>
						</div>
						<div style="    clear:both;"></div>
					</div>
				</form:form>
			</div>
		</div>
		<div class="full-width fl">
			<div class="contentShadow layui-form contentDetails">
				<div class="nav-btns">
					<button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
					<div style="clear: both;"></div>
				</div>
				<table class="oa-table layui-table" id="contentTable"></table>

				<!-- 分页代码 -->
				<table:page page="${page}"></table:page>
				<div style="clear: both;"></div>
			</div>
		</div>
	</div>
	<div id="changewidth"></div>
</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable'
            ,page: false
            ,cols: [[
                // {checkbox: true, fixed: true},
                {field:'index',align:'center',  width:40,title: '序号'}
                ,{align:'center', title: '类型', width:100,templet:function(d){
                        return "<span title='"+ d.type1 +"'>" + d.type1 + "</span>";
                    }}
                ,{align:'center', title: '环节', width:120,templet:function(d){
                        return "<span title='"+ d.step +"'>" + d.step + "</span>";
                    }}
                ,{align:'center', title: '标题', minWidth:150,templet:function(d){

                        if(d.type == "6")
                        {
                            if( d.status != 1 )
                            {
                                return "<a class=\"attention-info\" href=\"javascript:void(0)\" onclick=\"openDialog('确认定投标', '${ctx}/workprojectnotify/workProjectNotify/form?id="+d.id+"','95%','95%')\">" +
                                    "<span title=\""+ d.title +"\">"+ d.title +"</span>" +
                                    "</a>";
                            }
                            else
                            {
                                return "<a class=\"attention-info\" href=\"javascript:void(0)\" onclick=\"openDialogView('确认定投标', '${ctx}/workprojectnotify/workProjectNotify/form?id="+d.id+"','95%','95%')\">" +
                                    "<span title=\""+ d.title +"\">"+ d.title +"</span>" +
                                    "</a>";
                            }
                        }
                        else if(d.type == "18"){
                            return "<a class=\"attention-info\" href=\"javascript:void(0)\" onclick=\"openDialogView('企业申请列表', '${ctx}/workprojectnotify/workProjectNotify/form?id="+d.id+"','95%','95%')\">" +
                                "<span title=\""+ d.title +"\">"+ d.title +"</span>" +
                                "</a>";
                        }
                        else if(d.type == "19"){
                            return "<a class=\"attention-info\" href=\"javascript:void(0)\" onclick=\"openDialogView('企业申请列表', '${ctx}/workprojectnotify/workProjectNotify/form?id="+d.id+"','95%','95%')\">" +
                                "<span title=\""+ d.title +"\">"+ d.title +"</span>" +
                                "</a>";
                        }
                        else if(d.remarks == "待归档")
                        {
                            return "<a class=\"attention-info\" href=\"javascript:void(0)\" onclick=\"top.openTab('${ctx}/workprojectnotify/workProjectNotify/form?id="+d.id+"','待归档',false)\">" +
                                "<span title=\""+ d.title +"\">"+ d.title +"</span>" +
                                "</a>"
                        }
                        else if(d.remarks == "再次申请" && d.status != "1")
                        {
                            return " <a class=\"attention-info\"  href=\"javascript:void(0)\" onclick=\"openDialogres('重新申请', '${ctx}/workprojectnotify/workProjectNotify/form?id="+d.id+"','95%','95%')\">" +
                                "<span title=\""+ d.title +"\">"+ d.title +"</span>" +
                                "</a>";
                        }
                        else if(d.remarks == "重新申请" && d.status != "1")
                        {
                            return "<a class=\"attention-info\"  href=\"javascript:void(0)\" onclick=\"openDialogres('重新申请', '${ctx}/workprojectnotify/workProjectNotify/form?id="+d.id+"','95%','95%')\">" +
                                "<span title=\""+ d.title +"\">"+ d.title +"</span>" +
                                "</a>";
                        }
                        else if(d.remarks == "待审批" && d.status != "1")
                        {
                            return "<a class=\"attention-info\"  href=\"javascript:void(0)\" onclick=\"openDialogre('待审批', '${ctx}/workprojectnotify/workProjectNotify/form?id="+d.id+"','95%','95%')\">" +
                                "<span title=\""+ d.title +"\">"+ d.title +"</span>" +
                                "</a>";
                        }
                        else{
                            return "<a class=\"attention-info\"  href=\"javascript:void(0)\" onclick=\"openDialogView('查看通知', '${ctx}/workprojectnotify/workProjectNotify/form?id="+d.id+"','95%','95%')\">" +
                                "<span title=\""+ d.title +"\">"+ d.title +"</span>" +
                                "</a>";
                        }
                    }}
                ,{align:'center',title: '内容', minWidth:150,templet:function(d){
                        return "<span title='"+ d.content +"'>" + d.content + "</span>";
                    }}
                ,{align:'center',title: '提交人', width:80,templet:function(d){
                        return "<span title='"+ d.submit +"'>" + d.submit + "</span>";
                    }}
                ,{field:'status1', align:'center',title: '读取状态',width:100}
                ,{field:'op',align:'center', title: '创建时间', width:140,templet:function(d){
                        return "<span title='"+ d.date +"'>" + d.date + "</span>";
                    }}
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="workProjectNotify" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "index":"${index.index+1}"
                    ,"id":"${workProjectNotify.id}"
                    ,"type":"${workProjectNotify.type}"
                    ,"type1":"${fns:getDictLabel(workProjectNotify.type, 'project_notify_type', '')}"
                    ,"step":"${workProjectNotify.notifyRole}"
                    ,"title":"${workProjectNotify.title}"
                    ,"content":"${workProjectNotify.content}"
                    ,"submit":"${fns:getUserById(workProjectNotify.createBy.id).name}"
                    ,"status":"${workProjectNotify.status}"
                    ,"status1":"${fns:getDictLabel(workProjectNotify.status, 'project_notify_status', '')}"
                    ,"date":"<fmt:formatDate value="${workProjectNotify.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/>"
                    ,"remarks":"${workProjectNotify.remarks}"
                }
                </c:forEach>
                </c:if>
            ]
            // ,even: true
            // ,height: 315
        });

    })

    resizeListTable(140);
    $("a").on("click",addLinkVisied);
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
</body>
</html>